--- 4.5.9/exim.conf-SpamBlockerTechnology-v4.5.9.txt	2018-07-13 15:47:10.000000000 -0600
+++ 4.5.10/exim.conf-SpamBlockerTechnology-v4.5.10.txt	2018-09-06 20:18:44.348285966 -0600
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.9
-# April 13, 2018
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.10
+# August 15, 2018
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 21 or higher
@@ -370,6 +370,7 @@
   deny message = We didn't send the message
        senders = :
        domains = !+relay_domains
+	   !authenticated = *
 
   # Deny if the recipient doesn't exist:
     deny message = NO_SUCH_RECIPIENT
@@ -689,6 +690,19 @@
   transport = userautoreply
   unseen
 
+#any callbacks doing sender verify checks to this server accept SRS0 encoded emails if they exist, else the verify will fail.
+#until we figure out how to extract the original forwarder name in exim, we'll accept and drop all SRS0 encoded emails.
+#the srs_recipient is the original remote sender, so we dont want to forwarder there, else it will generated untraced backscatter (no data=srs_recipient)
+#I had found srs_orig_recipient variable, but wasn't able to use it to check for local fordwarders.
+#so any email to SRS0=..@localdomain.com will be accepted and dropped into the :blackhole:, which should be sufficient to satisfy the sender verify, and prevent any spam since it's always dropped.
+#if the final recipient hits "reply", it should already go to the orignal remote sender, not to the SRS name.
+srs_router:
+  driver =	redirect
+  condition = ${if exists{/etc/exim.srs.forward.conf}}
+  srs =		reverse
+  data = :blackhole:
+  domains =	+local_domains
+   
 #forwarder exists
 #user exists
 virtual_user_unseen:
@@ -755,11 +769,6 @@
   pipe_transport = devnull
   retry_use_local_part
   #include_domain = true
-  
-srs_router:
-  driver = redirect
-  srs = reverseandforward
-  data = ${srs_recipient}
 
 #COMMENT#52:
 userforward:
